# DXGfxLib.TimeLine Class Reference

Our scene node also have a TimeLine associated with them. Here we manage events. Events are added on the timeline and the timeline has the responsability to fire them when needed. More...

Collaboration diagram for DXGfxLib.TimeLine:

[legend]

List of all members.

## Public Member Functions
| TimeLine ()
| Constructor. We don't do much except creating our list of events.
void | Clear ()
| Clear all events from the TimeLine.
void | SetParent (SceneObject parent)
| Call this method to set the parent of the time line.
void | SetScene (Scene scene)
| Call this method to set the scene we are part of.
virtual void | Evaluate (double appTime, float elapsedTime)
| In this method we want to fire all the events on our timeline that need to be fired! This means they will be added to the node list of fired event.
void | Reset ()
| Like for the Script class this is called when you want to reset the logic of the timeline. When you stop and start the simulation.
| TimeLine ()
| Constructor. We don't do much except creating our list of events.
void | Clear ()
| Clear all events from the TimeLine.
void | SetParent (SceneObject parent)
| Call this method to set the parent of the time line.
void | SetScene (Scene scene)
| Call this method to set the scene we are part of.
virtual void | Evaluate (double appTime, float elapsedTime)
| In this method we want to fire all the events on our timeline that need to be fired! This means they will be added to the node list of fired event.
void | Reset ()
| Like for the Script class this is called when you want to reset the logic of the timeline. When you stop and start the simulation.
## Public Attributes
List< Event > | events = null
| List of events added on the timeline.

## Detailed Description

Our scene node also have a TimeLine associated with them. Here we manage events. Events are added on the timeline and the timeline has the responsability to fire them when needed.

Definition at line 27 of file TimeLine.cs.

## Constructor & Destructor Documentation

DXGfxLib.TimeLine.TimeLine | ( |  | ) |

Constructor. We don't do much except creating our list of events.

Definition at line 63 of file TimeLine.cs.

DXGfxLib.TimeLine.TimeLine | ( |  | ) |

Constructor. We don't do much except creating our list of events.

Definition at line 63 of file TimeLine.cs.

## Member Function Documentation

void DXGfxLib.TimeLine.Clear | ( |  | ) |

Clear all events from the TimeLine.

Definition at line 71 of file TimeLine.cs.

void DXGfxLib.TimeLine.Clear | ( |  | ) |

Clear all events from the TimeLine.

Definition at line 71 of file TimeLine.cs.

Here is the caller graph for this function:

virtual void DXGfxLib.TimeLine.Evaluate | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

In this method we want to fire all the events on our timeline that need to be fired! This means they will be added to the node list of fired event.

Definition at line 98 of file TimeLine.cs.

Here is the call graph for this function:

virtual void DXGfxLib.TimeLine.Evaluate | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

In this method we want to fire all the events on our timeline that need to be fired! This means they will be added to the node list of fired event.

Definition at line 98 of file TimeLine.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void DXGfxLib.TimeLine.Reset | ( |  | ) |

Like for the Script class this is called when you want to reset the logic of the timeline. When you stop and start the simulation.

Definition at line 135 of file TimeLine.cs.

Here is the call graph for this function:

void DXGfxLib.TimeLine.Reset | ( |  | ) |

Like for the Script class this is called when you want to reset the logic of the timeline. When you stop and start the simulation.

Definition at line 135 of file TimeLine.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void DXGfxLib.TimeLine.SetParent | ( | SceneObject | parent | ) |

Call this method to set the parent of the time line.

Parameters:

  | parent |

Definition at line 80 of file TimeLine.cs.

void DXGfxLib.TimeLine.SetParent | ( | SceneObject | parent | ) |

Call this method to set the parent of the time line.

Parameters:

  | parent |

Definition at line 80 of file TimeLine.cs.

Here is the caller graph for this function:

void DXGfxLib.TimeLine.SetScene | ( | Scene | scene | ) |

Call this method to set the scene we are part of.

Parameters:

  | scene |

Definition at line 89 of file TimeLine.cs.

void DXGfxLib.TimeLine.SetScene | ( | Scene | scene | ) |

Call this method to set the scene we are part of.

Parameters:

  | scene |

Definition at line 89 of file TimeLine.cs.

Here is the caller graph for this function:

## Member Data Documentation

List< Event > DXGfxLib.TimeLine::events = null

List of events added on the timeline.

Definition at line 32 of file TimeLine.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/TimeLine.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/TimeLine.cs